Actions

## Description

Eager, mutating, composable algorithms.

## Classes

struct | ranges::make_action_closure_fn
struct | ranges::push_back_fn
struct | ranges::push_front_fn

## Typedefs

template<typename Cont , typename Rng >
using | ranges::insert_t = decltype(static_cast< void >(ranges::insert(std::declval< Cont & >(), std::declval< sentinel_t< Cont > >(), std::declval< Rng >())))
template<typename Cont , typename T >
using | ranges::push_back_t = decltype(static_cast< void >(unwrap_reference(std::declval< Cont & >()).push_back(std::declval< T >())))
template<typename Cont , typename T >
using | ranges::push_front_t = decltype(static_cast< void >(unwrap_reference(std::declval< Cont & >()).push_front(std::declval< T >())))

## Functions

template<typename Cont , typename Rng >
CPP_TEMPLATE_AUX_0 | ranges::i (requires ` lvalue_container_like< Cont > &&range< Rng >) iiinsert_t< Cont
template<typename Cont , typename T >
CPP_TEMPLATE_AUX_0 | ranges::p (requires ` lvalue_container_like< Cont > &&(!range< T >) &&constructible_from< range_value_t< Cont >, T >) pppush_back_t< Cont
CPP_TEMPLATE_AUX_0 Rng | ranges::push_back (Cont &&cont, Rng &&rng)
CPP_TEMPLATE_AUX_0 T | ranges::push_back (Cont &&cont, T &&t)
CPP_TEMPLATE_AUX_0 Rng | ranges::push_front (Cont &&cont, Rng &&rng)
CPP_TEMPLATE_AUX_0 T | ranges::push_front (Cont &&cont, T &&t)
| ranges::template (typename ActionFn, typename Rng)(concept(invocable_action_closure_)(ActionFn

## Variables

constexpr adl_erase_detail::erase_fn | ranges::erase {}
constexpr adl_insert_detail::insert_fn | insert {}
template<typename ActionFn , typename Rng >
concept | ranges::invocable_action_closure
constexpr make_action_closure_fn | ranges::make_action_closure {}
| ranges::Rng

## Variable Documentation

## invocable_action_closure

template<typename ActionFn , typename Rng >

concept ranges::invocable_action_closure

`#include <range/v3/action/action.hpp>`

Initial value:
=
invocable<ActionFn, Rng> &&
ranges::invocable_action_closure__concept_ < ActionFn, Rng >

## make_action_closure

constexpr make_action_closure_fn ranges::make_action_closure {}

constexpr

`#include <range/v3/action/action.hpp>`

See also
  make_action_closure_fn